use actix_web::Responder;
use askama::Template;

use crate::constants::APP_NAME;

#[derive(Template)]
#[template(path = "login.html")]
struct LoginTemplate<'a> {
    app_name: &'a str,
}


pub async fn login_route() -> impl Responder {
    LoginTemplate { app_name: APP_NAME }.render().unwrap()
}